<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type"><title>Tdct Special Symbols</title><meta content="Rolf Keitel" name="author"></head>
<body>
<h2><a name="special_symbols">Special
Symbols</a></h2>
There are several "special
symbols" which tdct recognizes by their names:<br>
<ul>
<li>hardware
input symbols which connect to an EPICS record input link
field.&nbsp;<br>
The name of a hardware input symbol must start with "hwin".<br>
The
symbol must contain a&nbsp; property (macro) where the property
name starts with "val". <br>
The property value should be set via tdct to a hardware address or the
name of a PV.<br>
Different hardware input symbols may be created with the tdct symbol
editor, as long as they comply with the requirements above.<br>
<br>
</li>
<li>hardware output symbols which connect to an EPICS record
output link field.<br>
The name of a hardware output symbol must start with "hwout".&nbsp;<br>
The
symbol must contain a&nbsp; property (macro) where the property
name starts with "val". <br>
The property value should be set via tdct to a hardware address or the
name of a PV.<br>
Different
hardware output symbols may be created with the tdct symbol editor, as
long as they comply with the requirements above.<br>
<br>
</li>
<li>hierarchical connector symbols (input and output) which
represent a symbol port on the corresponding schematics.<br>
The
names of hierarchical connector symbols must start with "inhier" and
"outhier".<br>
A tdct configuration file can only define one pair of
hierarchical connectors.<br>
It is recommended to use only the names "inhier" and "outhier".<br>
</li>
</ul>
</body></html>